lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steven A Rowe <sar...@syr.edu>
Subject RE: Robert Muir thinks we should stop supporting Sun/Oracle JDK 1.5 on branch_3x
Date Fri, 15 Apr 2011 13:54:12 GMT
Turns out that the problem is that ReusableAnalyzerBase is not in the same package in branch_3x
as on trunk, so the class reference is just wrong on branch_3x, regardless of the JDK one
uses to generate javadocs.  (Oracle 1.6.0_21 JDK triggers the same failure on branch_3x.)

Robert, I trust you will see your way clear to fixing this, regardless of your lack of interest
in supporting Oracle's buggy implementations.

But I still think the issue should be resolved: Robert thinks he doesn't have to play by the
rules (JDK 1.5 support for Lucene, javadocs warnings fail the build, failed builds are not
allowed), and I think that's unacceptable.  I think the proper course of action is calling
a vote to change the rules, not just blithely ignoring them because you don't feel like following
them.

Unhappily,
Steve

> -----Original Message-----
> From: DM Smith [mailto:dmsmith555@gmail.com]
> Sent: Friday, April 15, 2011 9:31 AM
> To: dev@lucene.apache.org
> Subject: Re: Robert Muir thinks we should stop supporting Sun/Oracle JDK
> 1.5 on branch_3x
> 
> What is the bug? I have an interest in this component and am willing to
> see about fixing it. It appears that it is a Javadoc bug??? Why would we
> keep good code out for that?
> 
> -- DM
> 
> On 04/15/2011 09:15 AM, Steven A Rowe wrote:
> > As a result of Robert Muir's r1092398 commit on branch_3x (the Latvian
> analysis stuff), the build is now broken under Sun/Oracle JDK 1.5:
> >
> >    [javadoc]
> C:\svn\lucene\dev\branches\branch_3x\lucene\contrib\analyzers\common\src\
> java\org\apache\lucene\analysis\lv\LatvianAnalyzer.java:118: warning -
> Tag @link: reference not found:
> org.apache.lucene.analysis.util.ReusableAnalyzerBase.TokenStreamComponent
> s
> > [...]
> >    [javadoc] 5 warnings
> >
> > BUILD FAILED
> > C:\svn\lucene\dev\branches\branch_3x\lucene\build.xml:217: The
> following error occurred while executing this line:
> > C:\svn\lucene\dev\branches\branch_3x\lucene\common-build.xml:813:
> Javadocs warnings were found!
> >
> > Robert said on #lucene IRC:
> >> (9:02:53 AM) rmuir: its a bug in the EOL'ed java5
> >> (9:02:57 AM) rmuir: im not fixing it
> >> (9:03:21 AM) rmuir: build isnt broken
> >> (9:04:07 AM) rmuir: jre bug = not my problem
> >> (9:04:32 AM) rmuir: complain to oracle, having hit another one of
> their bugs at 3am last night, ive had it with their crap
> >> (9:04:42 AM) rmuir: i didnt break the build
> >> (9:04:43 AM) rmuir: its a bug in your jre
> > Needless to say, I disagree vehemently with Robert.
> >
> > I think Robert should fix this or his commit should be reverted.
> >
> > I'm interested in hearing other opinions on this.
> >
> > Steve
Mime
View raw message